﻿.color-1 {
    color: #35cd96 !important
}
.color-2 {
    color: #6bcbef !important
}
.color-3 {
    color: #e542a3 !important
}
.color-4 {
    color: #91ab01 !important
}
.color-5 {
    color: #ffa97a !important
}
.color-6 {
    color: #1f7aec !important
}
.color-7 {
    color: #dfb610 !important
}
.color-8 {
    color: #029d00 !important
}
.color-9 {
    color: #8b7add !important
}
.color-10 {
    color: #fe7c7f !important
}
.color-11 {
    color: #ba33dc !important
}
.color-12 {
    color: #59d368 !important
}
.color-13 {
    color: #b04632 !important
}
.color-14 {
    color: #fd85d4 !important
}
.color-15 {
    color: #8393ca !important
}
.color-16 {
    color: #ff8f2c !important
}
.color-17 {
    color: #a3e2cb !important
}
.color-18 {
    color: #b4876e !important
}
.color-19 {
    color: #c90379 !important
}
.color-20 {
    color: #ef4b4f !important
}

/*********************************************************************************************************************************************/

.pane-header, .chat-main, .header-main, .chat-secondary, .header-secondary, .bubble-actions, .menu-tabs, .menu-pills, .media-panel-header, .tip, .vcard, .popup .btn-light, .pane-list-header.pane-header, .bubble-audio-body, .audio, .media-collection, .capture-footer, .drawer-header-offset, .drawer-edit-footer {
	display: -webkit-flex;
	display: flex;
	-webkit-align-items: center;
	align-items: center;
}
.chat-main, .header-main {
	-webkit-align-items: baseline;
	align-items: baseline;
	line-height: normal;
	-webkit-align-items: flex-start;
	align-items: flex-start;
	text-align: left;
	margin-top: -1px;
}

.msg {
	padding-left: 9%;
	padding-right: 9%;
}
.msg:after {
	content: "";
	display: table;
	clear: both;
}
.message-in.tail {
	border-top-left-radius: 0px;
	border-top-right-radius: 7.5px;
}
.bubble {
	padding: 6px 0 8px 0;
	padding-left: 9px;
	padding-right: 7px;
	min-width: 110px;
	box-sizing: border-box;
}
.message .message-text {
	cursor: text;
	white-space: pre-wrap;
	overflow: hidden;
}
.message-text.message-text-emoji:after {
	display: none !important;
}
.message-out.tail {
	border-top-left-radius: 7.5px;
	border-top-right-radius: 0px;
}
/*
:not(.selectable-text) > :not(.selectable-text) > :not(.selectable-text)::selection {
	background-color: transparent;
}
*/
.msg {
	margin-bottom: 12px;
	position: relative;
}
.message-in, .message-out {
	border-radius: 7.5px;
	position: relative;
	box-shadow: 0px 1px 0.5px rgba(0,0,0,0.13);
}
.message-chat {
	max-width: 65%;
}
.message-in {
	background-color: #fff;
	float: left;
}
.message-out {
	background-color: #dcf8c6;
	float: right;
}
:last-of-type.message {
	margin-bottom: 0px;
}
.message-text, .media-caption, .link-preview-container, .document-body {
	font-size: 13.6px;
	line-height: 19px;
	word-wrap: break-word;
	color: #262626;
}
.message-text, .media-caption {
	position: relative;
}
.message-text:after {
	content: " \00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0";
	display: inline;
}

/***************************************************************************************************************************************************/

.pane-body {
	-webkit-flex-grow: 1;
	flex-grow: 1;
	z-index: 1;
}
.pane-chat-tile-container {
	-webkit-flex: 1 1 0;
	flex: 1 1 0;
	position: relative;
	-webkit-order: 2;
	order: 2;
}
.copyable-area {
	-webkit-user-select: text;
	-moz-user-select: text;
	-ms-user-select: text;
	user-select: text;
}
.pane-chat-body {
	-webkit-transform: translateZ(0);
	transform: translateZ(0px);
}
.pane-chat-empty {
	-webkit-flex: 1 1 auto;
	flex: 1 1 auto;
	min-height: 12px;
}
.msg {
	margin-bottom: 0;
	margin-top: 12px;
	position: relative;
}
.msg {
	padding-left: 9%;
	padding-right: 9%;
}
.msg-system {
	display: -webkit-flex;
	display: flex;
	-webkit-justify-content: center;
	justify-content: center;
}
.msg-continuation.msg {
	margin-bottom: 0;
	margin-top: 2px;
}
.date-marker-floating {
	visibility: hidden;
}
.message-system {
	-webkit-flex: none;
	flex: none;
	max-width: 100% !important;
	text-align: center;
	font-size: 12.5px;
	line-height: 21px;
	display: inline-block;
	border-radius: 7.5px;
	color: rgba(69, 90, 100, 0.95);
	text-shadow: 0px 1px 0px rgba(255,255,255,0.4);
	background-color: rgba(225, 245, 254, 0.92) !important;
	padding: 5px 12px 6px 12px;
	box-shadow: 0px 1px 0.5px rgba(0,0,0,0.13);
}
.message-in, .message-out {
	border-radius: 7.5px;
	position: relative;
	box-shadow: 0px 1px 0.5px rgba(0,0,0,0.13);
}
.message-chat {
	max-width: 65%;
}
.message-in {
	background-color: #fff;
	float: left;
}
:last-of-type.message {
	margin-bottom: 0px;
}
.message-in.tail {
	border-top-left-radius: 0px;
	border-top-right-radius: 7.5px;
}
.tail.message-out {
    border-top-left-radius: 7.5px;
    border-top-right-radius: 0px
}
.highlight.tail-container {
	opacity: 0;
}
.message-in .tail-container, .tail-override-right.message-in .tail-container, .tail-override-right.message-out .tail-container, .tail-override-left.message-in .tail-container {
	background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAmCAMAAADp2asXAAAABGdBTUEAALGPC/xhBQAAAAFzUkdCAK7OHOkAAACQUExURUxpccPDw9ra2m9vbwAAAAAAADExMf///wAAABoaGk9PT7q6uqurqwsLCycnJz4+PtDQ0JycnIyMjPf3915eXvz8/E9PT/39/RMTE4CAgAAAAJqamv////////r6+u/v7yUlJeXl5f///5ycnOXl5XNzc/Hx8f///xUVFf///+zs7P///+bm5gAAAM7Ozv///2fVensAAAAvdFJOUwCow1cBCCnqAhNAnY0WIDW2f2/hSeo99g1lBYT87vDXG8/6d8oL4sgM5szrkgl660OiZwAAAHRJREFUKM/ty7cSggAABNFVUQFzwizmjPz/39k4YuFWtm55bw7eHR6ny63+alnswT3/rIDzUSC7CrAziPYCJCsB+gbVkgDtVIDh+DsE9OTBpCtAbSBAZSEQNgWIygJ0RgJMDWYNAdYbAeKtAHODlkHIv997AkLqIVOXVU84AAAAAElFTkSuQmCC);
}
.message-in.tail .tail-container {
	content: "";
	position: absolute;
	left: -12px;
	top: 0px;
	width: 12px;
	height: 19px;
	background-position: 50% 50%;
	background-repeat: no-repeat;
	background-size: contain;
}
.tail.message-out .tail-container {
    content: '';
    position: absolute;
    right: -12px;
    top: 0px;
    width: 12px;
    height: 19px;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: contain
}
.message-in .highlight.tail-container {
	background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAmCAMAAADp2asXAAAABGdBTUEAALGPC/xhBQAAAAFzUkdCAK7OHOkAAAClUExURUxpcTU1NcrKyoyMjA4ODgAAAAwMDAAAAAAAANjY2Dc3N7a2tmBgYDg4OMvLywAAALm5ubi4uGRkZMrKymdnZ4yMjM3NzdnZ2b6+vrOzs7Ozs4GBgQAAALy8vImJiQ8PDwAAAGpqasnJyTExMVpaWg8PD8XFxdLS0jQ0NLKystbW1lpaWoaGhszMzM7Ozs/Pz9TU1NDQ0NfX19jY2NPT09HR0dnZ2Si/rzgAAAAtdFJOUwAw6pUSAxQBAv0zwVo26AXFxl7lY5HMfOi+mHYJz40RDAzjLlcQ0Psxv/xBiUTl04kAAACNSURBVCjP7cu5FoIwGEThUcE/ccV9FxV3jQmgvv+jUUE1qWy95XxngLL9bGqqXqbaZfkxFHbzlMN64wGscg8E0ZsDunVLQTDW/CH9Rk4BaA4cB7R6lgOGmoOEk4w/ELQdB9RGloKgo/lD1DajAMQLxwHJIaUgON4tfUA9vxxwul044Hr2gHr4IMS/3ysApV8k8vjzIswAAAAASUVORK5CYII=);
}
.message-out .tail-container {
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAmCAMAAADp2asXAAAABGdBTUEAALGPC/xhBQAAAAFzUkdCAK7OHOkAAADAUExURUxpcXmHa4maet/4yA0aDRMTE8fhsgAAAAAAAMDXrCsxJeX/z1xzXIiYetPsvGBsVUdPPuH8zOH8zNDrvMvmtrrOpwAAAAAAABUVFRoaGtnyxLTMozQ+MMfftFBeSR8nH5aoh6q/mW9+ZN/4yMjhtRwlHAAAAIOWd+r/06C1kkNLOwsLC9z4xur/0+n/0t76x9v4xeL9y+b/z+j/0d/7yeH8yuX/zeD8ytz5xt76yOP/zeH+y+b/zuD8yd35xuf/0MY9jkkAAAAsdFJOUwBvd/ATDZIBAsMp/At/11c9yPbizHoICQwT4bY1ykkgjahl6s8bBYT6nUAWOLbtFAAAAIhJREFUKM/tzbUWwlAURNFBE9zdg0NecLf//yvKUJyUdDnl7HXXletXqmXl9wPbQ9JCcC+VJsOj2mDwovzj3osjHGNFEVxNRAj7UR1hlx+I4FbuC8HkZBE8OwnRxamdFsEmUxCCGdoI51RLBK9xVwTvjyMEbzlDMJMp7lqseNc8YNc6CGyF/a0vcmwhZbCG+kEAAAAASUVORK5CYII=)
}
.message-in .tail-container.highlight {
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAmCAMAAADp2asXAAAABGdBTUEAALGPC/xhBQAAAAFzUkdCAK7OHOkAAAClUExURUxpcTU1NcrKyoyMjA4ODgAAAAwMDAAAAAAAANjY2Dc3N7a2tmBgYDg4OMvLywAAALm5ubi4uGRkZMrKymdnZ4yMjM3NzdnZ2b6+vrOzs7Ozs4GBgQAAALy8vImJiQ8PDwAAAGpqasnJyTExMVpaWg8PD8XFxdLS0jQ0NLKystbW1lpaWoaGhszMzM7Ozs/Pz9TU1NDQ0NfX19jY2NPT09HR0dnZ2Si/rzgAAAAtdFJOUwAw6pUSAxQBAv0zwVo26AXFxl7lY5HMfOi+mHYJz40RDAzjLlcQ0Psxv/xBiUTl04kAAACNSURBVCjP7cu5FoIwGEThUcE/ccV9FxV3jQmgvv+jUUE1qWy95XxngLL9bGqqXqbaZfkxFHbzlMN64wGscg8E0ZsDunVLQTDW/CH9Rk4BaA4cB7R6lgOGmoOEk4w/ELQdB9RGloKgo/lD1DajAMQLxwHJIaUgON4tfUA9vxxwul044Hr2gHr4IMS/3ysApV8k8vjzIswAAAAASUVORK5CYII=)
}
.bubble {
	padding: 6px 0 8px 0;
	padding-left: 9px;
	padding-right: 7px;
	min-width: 110px;
	box-sizing: border-box;
}
.color-6 {
	color: #1f7aec !important;
}
.message-text, .media-caption, .link-preview-container, .document-body {
	font-size: 13.6px;
	line-height: 19px;
	word-wrap: break-word;
	color: #262626;
}
.message-text, .media-caption {
	position: relative;
}
.message .message-text {
	cursor: text;
	white-space: pre-wrap;
	overflow: hidden;
}
.bubble-text-meta {
	position: absolute;
	bottom: 3px;
	right: 7px;
}
.emoji-text-clickable {
	cursor: pointer;
}
.color-1 {
	color: #35cd96 !important;
}
.color-5 {
	color: #ffa97a !important;
}
.large-emoji-container {
	position: relative;
	-webkit-flex: none;
	flex: none;
}
.emoji-medium {
	height: 24px;
}
.color-4 {
	color: #91ab01 !important;
}
.color-3 {
	color: #e542a3 !important;
}
.color-2 {
	color: #6bcbef !important;
}
.message-in .btn-forward-chat {
	right: -32px;
}
svg {
	display: block;
	/* pointer-events: none; */
}
.bubble-image, .bubble-location {
	padding: 3px;
	z-index: 1;
	position: relative;
	max-width: 336px;
}
.bubble-image-author {
	padding-left: 6px;
	padding-bottom: 5px;
	padding-top: 3px;
}
.image-thumb {
	border-radius: 6px;
	overflow: hidden;
	cursor: pointer;
	display: -webkit-flex;
	display: flex;
	-webkit-align-items: center;
	align-items: center;
	-webkit-justify-content: center;
	justify-content: center;
	position: relative;
}
.bubble-image-meta {
	position: absolute;
	bottom: 6px;
	right: 8px;
	z-index: 2;
}
.image-thumb-body {
	-webkit-flex: none;
	flex: none;
	-webkit-transition: -webkit-filter .16s linear;
}
.message .shade {
	position: absolute;
	bottom: 0px;
	width: 100%;
	height: 28px;
	background: linear-gradient(to top, rgba(0, 0, 0, 0.3), transparent);
	border-bottom-left-radius: 6px;
	border-bottom-right-radius: 6px;
}
.incoming-msgs {
	position: absolute;
	right: 11px;
	bottom: 17px;
	z-index: 200;
	width: 42px;
	height: 42px;
	display: -webkit-flex;
	display: flex;
	-webkit-align-items: center;
	align-items: center;
	-webkit-justify-content: center;
	justify-content: center;
	border-radius: 50%;
	background-color: white;
	cursor: pointer;
}
.badge-unread {
	position: absolute;
	top: -5px;
	left: -5px;
}
/*
:not(.selectable-text) > :not(.selectable-text) > :not(.selectable-text)::selection {
	background-color: transparent;
}
*/
.pane-chat-msgs {
	width: 100%;
	height: 100%;
	position: absolute;
}
.pane-chat-body {
	display: -webkit-flex;
	display: flex;
	-webkit-flex-direction: column;
	flex-direction: column;
	overflow-x: hidden;
	overflow-y: scroll;
	z-index: 100;
	box-sizing: border-box;
	border-left: 1px solid rgba(0, 0, 0, 0.03);
	transition: background .3s ease-out .1s;
	background-color: transparent;
}
.emoji {
	background-size: 100px 100px;
}
.emoji, .emojik {
	display: inline-block;
	vertical-align: top;
	zoom: 1;
	border: 0;
}
.emoji {
	width: 20px;
	height: 20px;
}
.selectable-text {
	-webkit-user-select: text;
	-moz-user-select: text;
	-ms-user-select: text;
	user-select: text;
}
.large-emoji.emoji, .large-emoji {
	cursor: text;
	display: block;
	pointer-events: none;
}
.emoji-medium .large-emoji {
	width: 24px;
	height: 24px;
}
.invisible-space.selectable-text:after {
	content: "";
	display: inline-block;
	width: 0px;
}
.message .message-text .emoji {
	cursor: text;
	pointer-events: none;
}
.btn-forward-chat {
	position: absolute;
	top: 50%;
	width: 25px;
	height: 25px;
	margin-top: -13px;
	background-color: rgba(0, 0, 0, 0.14);
	border-radius: 50%;
	cursor: pointer;
}
.bubble-image .shade, .bubble-location .shade {
	left: 0px;
	width: 330px !important;
	z-index: 1;
}
.app-wrapper-web .app, .incoming-msgs {
	box-shadow: 0px 1px 1px 0px rgba(0,0,0,0.06), 0px 2px 5px 0px rgba(0,0,0,0.2);
}

/******************************************************************************************************/

.msg-continuation .tail-container, .msg-continuation .message-author, .message-system .message-author
{
    display:none !important;
}

.message-system .bubble
{
    position: relative;
}

.message-system.message-in
{
    float:left;
}

.message-system.message-out
{
    float:right;
}

.msg-privileged .privileged-icon:before
{
    content:"!";
    position:absolute;
    top:2px;
    width:16px;
    height: 16px;
    color:Red;
    padding-left:8px;
}

.msg-privileged .message-out .privileged-icon:before
{
    left: -1px;
}

.msg-privileged .message-in .privileged-icon:before
{
    right: -1px;
}

.hide-privileged > div > .msg-privileged
{
    display: none;
}

.hide-nonprivileged > div > :not(.msg-privileged)
{
    display: none;
}

:not(.hide-privileged):not(.hide-nonprivileged) > div > .msg.msg-maybecontinuation .message-author
{
    display:none;
}

:not(.hide-privileged):not(.hide-nonprivileged) .msg.msg-maybecontinuation
{
    margin-top: 2px;
}

/********************************************/

.unread-messages-container {
    background-color: rgba(255, 255, 255, 0.25);
    border-bottom: 1px solid rgba(0, 0, 0, 0.08);
    border-top: 1px solid rgba(255, 255, 255, 0.15);
    margin-top: 12px;
    padding: 5px 0;
    text-align: center;

    color: #3d3d3d;
    font-size: 12.5px;
    text-transform: uppercase;
    width: 100%;
}

.unread-messages-content {
    background-color: #fff;
    border-radius: 16px;
    padding: 0 22px;
    
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    box-sizing: border-box;
    display: inline-block;
    font-weight: 500;
    height: 33px;
    line-height: 33px;
    max-width: 90%;
}

/*          IMAGENES           */

.pane-preview .message-image,
.pane-preview .message-gif,
.pane-preview .message-vcard,
.pane-preview .message-ptt,
.pane-preview .message-location {
    max-width: 336px
}

.starred-msg-wrapper .message-ptt,
.starred-msg-wrapper .message-audio,
.starred-msg-wrapper .message-image,
.starred-msg-wrapper .message-vcard {
    width: 100%;
    max-width: 336px !important
}

 .message-image > img
 {
     margin-top:3px;
 }